Package ru.bitel.bgbilling.plugins.crm.server.dao

# Class RegisterGroupManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<RegisterGroup>
ru.bitel.bgbilling.common.dao.AbstractIdDao<RegisterGroup>
ru.bitel.bgbilling.plugins.crm.server.dao.RegisterGroupManager

public class RegisterGroupManager extends ru.bitel.bgbilling.common.dao.AbstractIdDao<RegisterGroup>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterGroupManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `deleteGroup(int id)`
  `void`
  `deleteGroupTaskTypes(int groupId)`
  `protected RegisterGroup`
  `getFromRS(ResultSet rs)`
  `RegisterGroup`
  `getGroupById(int id)`
  `List<RegisterGroup>`
  `getGroupList()`
  `List<RegisterGroup>`
  `getGroupList(int taskTypeId)`
  `Map<Integer,RegisterGroup>`
  `getGroupMap()`
  `List<Integer>`
  `getGroupTaskTypes(int groupId)`
  `void`
  `updateGroup(RegisterGroup registerGroup)`
  `void`
  `updateGroupTaskTypes(int groupId, List<Integer> types)`
  `protected void`
  `updateImpl(RegisterGroup registerGroup)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegisterGroupManager

    public RegisterGroupManager(Connection con)

- ## Method Details

  - ### deleteGroup

    public int deleteGroup(int id) throws SQLException
    Throws:
      `SQLException`

  - ### updateGroup

    public void updateGroup(RegisterGroup registerGroup) throws SQLException
    Throws:
      `SQLException`

  - ### getGroupById

    public RegisterGroup getGroupById(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getGroupList

    public List<RegisterGroup> getGroupList() throws SQLException
    Throws:
      `SQLException`

  - ### getGroupList

    public List<RegisterGroup> getGroupList(int taskTypeId) throws SQLException
    Throws:
      `SQLException`

  - ### updateGroupTaskTypes

    public void updateGroupTaskTypes(int groupId, List<Integer> types) throws SQLException
    Throws:
      `SQLException`

  - ### deleteGroupTaskTypes

    public void deleteGroupTaskTypes(int groupId) throws SQLException
    Throws:
      `SQLException`

  - ### getGroupTaskTypes

    public List<Integer> getGroupTaskTypes(int groupId) throws SQLException
    Throws:
      `SQLException`

  - ### getGroupMap

    public Map<Integer,RegisterGroup> getGroupMap() throws SQLException
    Throws:
      `SQLException`

  - ### getFromRS

    protected RegisterGroup getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<RegisterGroup>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(RegisterGroup registerGroup) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<RegisterGroup>`
    Throws:
      `SQLException`